Subject: bug#61350: Eglot over Tramp freezes with large project

From: Michael Albinus <[email-masked]>
Date: Mon, 06 Mar 2023 13:42:22 +0100

Michael Albinus <[email-masked]> writes:

Hi João,

> In parallel, I'll extend tramp-use-ssh-controlmaster-options to accept a
> further value 'suppress', which overrides possible settings in ~/.ssh/config.

I've pushed a respective change to the master branch. It will also be
included in Tramp 2.6.0.3, the next planned version on GNU ELPA.

If you want to check this feature, you might call

--8<---------------cut here---------------start------------->8---
(safe-local-variable-p 'tramp-use-ssh-controlmaster-options 'suppress)
--8<---------------cut here---------------end--------------->8---

>> João

Best regards, Michael.

PS: Starting on Wednesday, I'll be almost offline for a couple of
days. I have no idea how long, 'tho.